# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'signpost/rails/version'

Gem::Specification.new do |spec|
  spec.name          = 'signpost-rails'
  spec.version       = Signpost::Rails::VERSION
  spec.authors       = ['Julian Nadeau']
  spec.email         = ['julian@shopify.com']

  msg = 'A rails integration to use with signpost ssh verification'
  spec.summary       = msg
  spec.description   = msg
  spec.homepage      = 'https://github.com/Shopify/signpost'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ['lib']

  spec.add_dependency 'signpost-verifier', '~> 0.1.6'

  spec.add_development_dependency 'bundler', '~> 1.11'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
